# Webhooks

Manages webhook subscriptions for event notifications. Use these endpoints to create, update, delete, and retrieve webhooks.

**Available endpoints:**

```
   GET /v1/events/webhooks
  POST /v1/events/webhooks
DELETE /v1/events/webhooks
   PUT /v1/events/webhooks/status/{status}
   GET /v1/events/webhooks/{webhook_id}
   PUT /v1/events/webhooks/{webhook_id}
DELETE /v1/events/webhooks/{webhook_id}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/events/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
